Bug 117959 - Apache autoindex corrupt when > 2GB file in tree
Summary: Apache autoindex corrupt when > 2GB file in tree
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 116727
TreeView+ depends on / blocked
 
Reported: 2004-03-10 13:47 UTC by Lance Davis
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 01:53:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:349 normal SHIPPED_LIVE Important: httpd security update 2004-09-01 04:00:00 UTC

Description Lance Davis 2004-03-10 13:47:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20040228

Description of problem:
Apache doesnt display the index properly when there is a > 2GB file in
the directory. It doesnt display the file at all, and seems to stop
displaying anything else when it comes across it.

There is no warning or error , just a randomly shortened directory tree.

Version-Release number of selected component (if applicable):
2.0.46-26.ent

How reproducible:
Always

Steps to Reproduce:
1.put >2GB file in directory
2.no index.html etc and mod_autoindex
3.
    

Actual Results:  as described above

Expected Results:  full tree displayed

Additional info:

Bug #109332 refers

Comment 1 Joe Orton 2004-03-10 14:14:10 UTC
Thanks for the report.

Since the server can neither stat() the large file to discover its
size, nor serve it to clients, I think the expected behaviour is that
it is omitted from the directory listing.  Do you agree?

Comment 2 Lance Davis 2004-03-10 14:22:40 UTC
Yes - maybe with a warning to the error log, so people can see why it
isnt there if they look - or display in the index with a '>2GB
unknown' type ebtry.

Comment 3 Jay Turner 2004-08-18 01:53:54 UTC
Fix confirmed with httpd-2.0.46-38.ent.

Comment 4 Josh Bressers 2004-09-01 18:55:39 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-349.html



Note You need to log in before you can comment on or make changes to this bug.